웹 애플리케이션 만들기

리눅스에 웹서버 설치

설치가 안되거나 문제가 있다면 여기서 너무 시간을 보내지 마시고 다음 서비스(codeanywhere)를 이용해서 실습환경을 구축해보세요. 첫번째 수업, 두번째 수업
80번 포트에 설치할 수 없다고 나오면 8080포트에 설치하시고요. 이후에 접속 하실 때는 http://localhost:8080으로 접속하시면 됩니다. 포트가 무엇인가에 대한 설명은 후에  인터넷 수업에서 심도 있게 학습할 기회가 있습니다. http://opentutorials.org/course/1688/9483
필자가 수업을 만들 당시 Bitnami의 버전은 LAMP Stack 5.4.40-0이었습니다. 혹 문제가 생기면 이 버전을 사용해주세요. 

댓글

댓글 본문
작성자
비밀번호
  1. 김영찬
    감사합니다~
    대화보기
    • 유상원
      2017-09-02 완료!
    • GoldPenguin
      완료했습니다.
    • 김태윤
      완료
    • Baekkyu Han
      웹 서버 설치-리눅스
      우분투
      virtualbox 우분투 사용 경험이 있어서 다행
      뒷부분 클라이언트-서버 설명 역시 동일
    • aimerthis(이성민)
      윈도우 맥 리눅스 비슷한데.. 리눅스 명령어를 좀 알아야 할것 같네요
      잘봤습니다.
    • 코딩학습생
      봤습니다^^
    • 김진모
    • hongjja
      아랫분 감사해요!
      덕분에 tab으로 자동완성도 되구 설치도 잘 되서 수업 잘따라가게 되었습니당

      감사해요 :-)
    • 도움이되고팡쿠
      처음에
      sudo ./bitnami-lampstack-5.6.30-0-linux-x64-installer.run

      해도 안됨. 애초에 Tab로 자동완성도 안됬음. command not found 만 나옴.

      앞에 JW님이 말씀하신 것중에서

      sudo apt-get update
      sudo apt-get upgrade
      sudo apt-get install build-essential 만 해준뒤

      그냥 sudo ./bitnami-lampstack-5.6.30-0-linux-x64-installer.run 했더니 다시됨. tab 키도 먹힘
    • 초짜
      혹시 다음과 같은 에러나시는 분 없으신가요?

      The installer is unable to detect your glibcxx version.

      sudo ./bitnami-lampstack......installer.run 하면 위와 같은 메세지가 나오네요..

      이것 때문에 한참 헤매는데 도와주세요ㅠ
    • 하정희
      학습완료!!
    • 이경민
      학습 완료했읍니다~^^
      감사합니다
    • hunter10
      완료
    • 봤어요!
    • 양다은
      완료
    • 윤희경
      감사합니다!
    • 김민정
      8080포트로 어떻게 변경하나요? 영상 보고 설치했는데 이미 apache2가 설치되어있던 상태라 80 포트로는 의도했던 html 파일을 확인할 수 없네요...
    • 이용성
      잘봤습니다~
    • Kisoo Ahn
      윈도우 사용자라 참고로 봤습니다.
    • 구스타브K
      감사합니다 :)
    • JeonSeon
      리눅스는 사용하는 방법을 몰라서 그런지 신기하네요..
      다만, 왠지 리눅스를 설치해보고 싶다는 욕심이 생깁니다.
      좋은 강의 감사합니다.
    • 홍창용
      잘봤습니다.
    • 홍준완
      잘봤습니다.
    • 제이슨 한
      엇, 우분투. Virtualbox로 몇번 설치해서 애써 써보려 했건만, text 입력에 짜증나 번번히 포기한. ㅉㅉ
    • 엄석대
      혹시 라즈베리파이에서 비트나미를 설치하려고 한다면 local install 중에서 어떤걸 받아야 하나요 x64를 받아도 되는건지..... 혹시 아시느분 있나요
    • 김대관
      7/16 잘봤습니다
    • 그레고르 잠이나자
      감사합니다!
      대화보기
      • Amore Chang
        리누욱~스!
      • 우선 저는 혹시 몰라서
        sudo apt-get update
        sudo apt-get upgrade
        sudo apt-get dist-upgrade
        sudo apt-get install build-essential
        해준 후,

        터미널에 chmod 755 하시고, 다운로드 창에서 다운받으신 bitnami 파일을 터미널로 드래그 하시면 대충

        chmod 755 '/home/아이디/Downloads/bitnami-lampstack-5.6.30-5-linux-x64-installer.run'

        이렇게 됩니다. 엔터 치시고.

        sudo ./bitnami-lampstack-5.6.30-5-linux-x64-installer.run

        다시 해주시면 잘 됩니다 .

        참고로 Ubuntu 16.04 LTS이고, bitnami는 5.6.30 입니다.
      • 룰루
        sudo chmod 700 bitnami-lampstack-5.6.24-0-linux-x64-installer.run

        이렇게 권한 변경 해주면 되네요
      • 김민성
        잘봤습니다
      • 문경민
        감사합니다 ~ 잘봤습니다.
      • Changki Seo
        시간이 되면 리눅스 환경으로 웹서버를 한번 만들어보아야겠네요.
        잘 봤습니다~
      • 이여사
        먼가 .. 어렵게 느껴지는건..먼지.. 아하..00;;;;
      • Choing
        command not found
      • jychoi4306@gmail.com
        command not found...
      • Penjuin
        다시 패스!
      • 저는 CentOS 6.5로 실습해 보려고, VM에다가 설치를 했는데, firefox랑 yum이 안되서 애 좀 먹다가 해결하여 이제 비트나미를 진행해보려고 합니다!ㅎㅎ
      • silaskang
        아~~~
      • 우가
        리눅스(우분투 16.04 64bit)에서 lamp 받아 설치 시 오류가 많이 생기네요, 전 그냥 따로따로 설치했습니다.
      • 리눅스는 한번도 사용해 본 적이 없어서 궁금해서 들어와 봤습니다. 잘 구경했습니다. 언젠가 사용해 볼 수 있는 기회가 있으면 좋겠네요.
      • 강은선
        기록!-잘 봤습니다.
      • 설치할 디렉토리 지정방법때문인지 리눅스가 윈도우나 맥보다 훨씬 더 복잡해 보이네요 @_@
      • 설치 완료
      • 김학민
        잘봤습니다.^^
      • 이준
        정말감사합니다 열심히하겠습니다.
      • 정우성
        우분투 64비트 설치하는데 자꾸에러가뜨길래 32비트를 설친했는데요.. bitnami lamo는64비트바께 지원안하나봐요 구글링해보니 32비트는 lapp설치하라해서 했는데 상관없나요?
      • 궁금해
        리눅스아닌사람은 이번강의그냥 통과하면되나요?
      • 안되네요
        bitnami 설치하려고 하는데 3버전 다 심볼릭 링크 어쩌구 오류가 뜨는데 어떻게 해결 해야 되나요?
      버전 관리
      egoing
      현재 버전
      선택 버전
      graphittie 자세히 보기